<?php

namespace Rtc\PlantShopWC\Admin\Interfaces;

use WP_Post;

interface ProductModule {


    /** Unique key, used in HTML id/name & in post-meta key. */
    public function slug(): string;

    /** Human-readable tab title. */
    public function label(): string;

    /** Nested array: Variable names and translation */
    public function vars(): array;

    /** Render fields inside the tab. */
    public function render( WP_Post $product ): void;

    /** Validate & save data for this feature. */
    public function save( int $product_id, array $posted ): void;

    /* Module for quickedit true/false */
    public function quick_edit_enabled(): bool;
}
